Personal Forecast - Browser Compatibility - KAIT Jonesboro, AR - Region 8 News, weather, sports

Personal Forecast - Browser Compatibility

Log on to your Personal Forecast web page to check your web browser compatibility.

Click Here to Log On

Looks Like it Should!

You may need an upgrade.

I see this when I log on to my
Personal Forecast web page.
GREAT! You are getting
the correct information.

I see this when I log on to my
Personal Forecast web page.
OOPS! Your web browser may
need updating. See Below...
 

AOL - 7.0 is the latest version and is fully compatible with WAVE 3.com. Update your software at your earliest convenience. AOL does not charge for connection time during software updates.

Microsoft Internet Explorer  - Click Here to get the latest version (6.0)

Netscape Browser - Click Here to get the latest version (6.2)

Send email for further information

Powered by Frankly